org.appng.xml.platform

## Enum ItemType

- java.lang.Object
- - java.lang.Enum<ItemType>
  - - org.appng.xml.platform.ItemType

- All Implemented Interfaces:
    Serializable, Comparable<ItemType>

      public enum ItemType
      extends Enum<ItemType>

  Java class for itemType.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="itemType">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="site"/>
           <enumeration value="sites"/>
           <enumeration value="application"/>
           <enumeration value="applications"/>
           <enumeration value="anchor"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ANCHOR` The item represents an anchor, which separates it from regular items.
    `APPLICATION` The item represents a application.
    `APPLICATIONS` The item represents a set of applications.
    `SITE` The item represents a site.
    `SITES` The item represents a set of sites.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ItemType` | `fromValue(String v)`
    `String` | `value()`
    `static ItemType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ItemType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SITE

          public static final ItemType SITE

      The item represents a site. Child items are usually of type 'application'.

    - #### SITES

          public static final ItemType SITES

      The item represents a set of sites. Child items are usually of type 'applications'.

    - #### APPLICATION

          public static final ItemType APPLICATION

      The item represents a application.

    - #### APPLICATIONS

          public static final ItemType APPLICATIONS

      The item represents a set of applications.

    - #### ANCHOR

          public static final ItemType ANCHOR

      The item represents an anchor, which separates it from regular items.

  - ### Method Detail

    - #### values

          public static ItemType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ItemType c : ItemType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ItemType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public String value()

    - #### fromValue

          public static ItemType fromValue(String v)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.